Skip to main content
GET
/
fee_markups
JavaScript
import Whop from '@whop/sdk';

const client = new Whop({
  apiKey: process.env['WHOP_API_KEY'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const feeMarkupListResponse of client.feeMarkups.list({
  company_id: 'biz_xxxxxxxxxxxxxx',
})) {
  console.log(feeMarkupListResponse.id);
}
{
  "data": [
    {
      "id": "<string>",
      "fee_type": "crypto_withdrawal_markup",
      "percentage_fee": 6.9,
      "fixed_fee_usd": 6.9,
      "notes": "Approved by finance team on 2024-01-15",
      "created_at": "2023-12-01T05:00:00.401Z",
      "updated_at": "2023-12-01T05:00:00.401Z"
    }
  ],
  "page_info": {
    "end_cursor": "<string>",
    "start_cursor": "<string>",
    "has_next_page": true,
    "has_previous_page": true
  }
}

Authorizations

Authorization
string
header
required

A company API key, company scoped JWT, app API key, or user OAuth token. You must prepend your key/token with the word 'Bearer', which will look like Bearer ***************************

Query Parameters

after
string | null

Returns the elements in the list that come after the specified cursor.

before
string | null

Returns the elements in the list that come before the specified cursor.

first
integer | null

Returns the first n elements from the list.

Example:

42

last
integer | null

Returns the last n elements from the list.

Example:

42

company_id
string
required

The unique identifier of the company to list fee markups for. Pass a platform account identifier to retrieve platform default markups.

Example:

"biz_xxxxxxxxxxxxxx"

Response

A successful response

The connection type for FeeMarkup.

data
object[]
required

A list of nodes.

page_info
object
required

Information to aid in pagination.